- Added
- Changed
- [ devices ]
- [ organizations ]
- apiRequests
- appliance
- devices
- insight
- policies
- sm
- splash
- wireless
- Returns the current Air Marshal settings for this network
- List the most recent Ethernet link speed, duplex, aggregation and power mode and status information for wireless devices
- List the AutoRF settings of an organization by network
- List the L2 isolation allow list MAC entry in an organization
- Returns the SSID profiles for an organization
- Create a new SSID profile in an organization
- List the SSID profile assignments in an organization
- Returns the SSID profiles' overview information for an organization
- Update this SSID profile
- Return list of Zigbee configs
- List the Zigbee wireless devices for an organization or the supplied network(s)
- Return the list of door locks for a network
- [ switch ]
- [ wireless ]
Version v1.75.0 to v1.75.1
Summary of Changes
4 - New
32 - Updated
854 - Total Endpoints
580 - Total Paths
Added
[ appliance ]
security
Update HTTPS inspection configuration for a network.
Operation ID: updateNetworkApplianceSecurityHttpsInspection
PATH /networks/{networkId}/appliance/security/httpsInspection
- Path added
- New endpoint
PUT
/networks/{networkId}/appliance/security/httpsInspection
[ organizations ]
appliance
List HTTPS inspection status and configuration for appliances in the organization.
Operation ID: getOrganizationApplianceSecurityHttpsInspectionByNetwork
PATH /organizations/{organizationId}/appliance/security/httpsInspection/byNetwork
- Path added
- New endpoint
GET
/organizations/{organizationId}/appliance/security/httpsInspection/byNetwork
Retrieve the HTTPS Inspection state for all security appliances in an organization.
Operation ID: httpsiOrganizationApplianceSecurity
PATH /organizations/{organizationId}/appliance/security/httpsi
- Path added
- New endpoint
GET
/organizations/{organizationId}/appliance/security/httpsi
Upload an HTTPS Inspection certificate to MX devices in the same organization
Operation ID: certificatesOrganizationApplianceSecurityHttpsi
PATH /organizations/{organizationId}/appliance/security/httpsi/certificates
- Path added
- New endpoint
POST
/organizations/{organizationId}/appliance/security/httpsi/certificates
Changed
[ devices ]
cellular
Return the SIM and APN configurations for a cellular device.
Operation ID: getDeviceCellularSims
GET /devices/{serial}/cellular/sims
- added the optional property 'sims/items/ips' to the response with the '200' status
Updates the SIM and APN configurations for a cellular device.
Operation ID: updateDeviceCellularSims
PUT /devices/{serial}/cellular/sims
- added the optional property 'sims/items/ips' to the response with the '200' status
[ organizations ]
apiRequests
List the API requests made by an organization
Operation ID: getOrganizationApiRequests
GET /organizations/{organizationId}/apiRequests
- the response property '/items/adminId' became nullable for the status '200'
appliance
Fetch uplink NAT settings of each network in the organization
Operation ID: getOrganizationApplianceUplinksNatByNetwork
GET /organizations/{organizationId}/appliance/uplinks/nat/byNetwork
- the endpoint scheme security 'oauth2' was added to the API
Get the list of available IPsec SLA policies for an organization
Operation ID: getOrganizationApplianceVpnSiteToSiteIpsecPeersSlas
GET /organizations/{organizationId}/appliance/vpn/siteToSite/ipsec/peers/slas
- the endpoint scheme security 'oauth2' was added to the API
Return the third party VPN peers for an organization
Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers
GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- added the optional property 'peers/items/ebgpNeighbor/vrf' to the response with the '200' status
Update the third party VPN peers for an organization
Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers
PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- added the new optional request property 'peers/items/ebgpNeighbor/vrf'
- added the optional property 'peers/items/ebgpNeighbor/vrf' to the response with the '200' status
devices
List cellular data management profiles in this organization
Operation ID: getOrganizationDevicesCellularDataProfiles
GET /organizations/{organizationId}/devices/cellular/data/profiles
- the endpoint scheme security 'oauth2' was added to the API
List Cellular Data Management Profile assignments in this organization
Operation ID: getOrganizationDevicesCellularDataProfilesAssignments
GET /organizations/{organizationId}/devices/cellular/data/profiles/assignments
- the endpoint scheme security 'oauth2' was added to the API
insight
List the monitored media servers for this organization
Operation ID: getOrganizationInsightMonitoredMediaServers
GET /organizations/{organizationId}/insight/monitoredMediaServers
- the endpoint scheme security 'oauth2' was added to the API
policies
List Organization-Wide Policy Firewall Rules
Operation ID: getOrganizationPoliciesGlobalFirewallRulesetsRules
GET /organizations/{organizationId}/policies/global/firewall/rulesets/rules
- added the optional property 'items/items/logging' to the response with the '200' status
Create an Organization-Wide Policy Firewall Rule
Operation ID: createOrganizationPoliciesGlobalFirewallRulesetsRule
POST /organizations/{organizationId}/policies/global/firewall/rulesets/rules
- added the new optional request property 'logging'
- added the optional property 'logging' to the response with the '201' status
Update an Organization-Wide Policy Firewall Rule
Operation ID: updateOrganizationPoliciesGlobalFirewallRulesetsRule
PUT /organizations/{organizationId}/policies/global/firewall/rulesets/rules/{ruleId}
- added the new optional request property 'logging'
- added the optional property 'logging' to the response with the '200' status
sm
List the Limited Access Roles for an organization
Operation ID: getOrganizationSmAdminsRoles
GET /organizations/{organizationId}/sm/admins/roles
- the endpoint scheme security 'oauth2' was added to the API
splash
List Splash Themes
Operation ID: getOrganizationSplashThemes
GET /organizations/{organizationId}/splash/themes
- the endpoint scheme security 'oauth2' was added to the API
wireless
Returns the current Air Marshal settings for this network
Operation ID: getOrganizationWirelessAirMarshalSettingsByNetwork
GET /organizations/{organizationId}/wireless/airMarshal/settings/byNetwork
- the endpoint scheme security 'oauth2' was added to the API
List the most recent Ethernet link speed, duplex, aggregation and power mode and status information for wireless devices
Operation ID: getOrganizationWirelessDevicesEthernetStatuses
GET /organizations/{organizationId}/wireless/devices/ethernet/statuses
- added the optional property '/items/ports/items/poe/granted' to the response with the '200' status
- added the optional property '/items/ports/items/poe/isActive' to the response with the '200' status
- added the optional property '/items/ports/items/poe/protocol' to the response with the '200' status
- added the optional property '/items/ports/items/poe/requested' to the response with the '200' status
- added the optional property '/items/power/draw' to the response with the '200' status
- added the optional property '/items/power/reportedAt' to the response with the '200' status
List the AutoRF settings of an organization by network
Operation ID: getOrganizationWirelessRadioRrmByNetwork
GET /organizations/{organizationId}/wireless/radio/rrm/byNetwork
- the endpoint scheme security 'oauth2' was added to the API
List the L2 isolation allow list MAC entry in an organization
Operation ID: getOrganizationWirelessSsidsFirewallIsolationAllowlistEntries
GET /organizations/{organizationId}/wireless/ssids/firewall/isolation/allowlist/entries
- the endpoint scheme security 'oauth2' was added to the API
Returns the SSID profiles for an organization
Operation ID: getOrganizationWirelessSsidsProfiles
GET /organizations/{organizationId}/wireless/ssids/profiles
- the endpoint scheme security 'oauth2' was added to the API
- removed the 'afp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'airplay' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'apple_screen_share' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'bittorrent' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ftp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'google_chromecast' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ichat' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'itunes' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'printers' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'samba' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'scanner' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'spotify' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ssh' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
Create a new SSID profile in an organization
Operation ID: createOrganizationWirelessSsidsProfile
POST /organizations/{organizationId}/wireless/ssids/profiles
- removed the enum value 'afp' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'airplay' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'apple_screen_share' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'bittorrent' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ftp' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'google_chromecast' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ichat' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'itunes' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'printers' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'samba' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'scanner' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'spotify' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ssh' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the 'afp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'airplay' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'apple_screen_share' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'bittorrent' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ftp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'google_chromecast' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ichat' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'itunes' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'printers' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'samba' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'scanner' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'spotify' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ssh' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
List the SSID profile assignments in an organization
Operation ID: getOrganizationWirelessSsidsProfilesAssignments
GET /organizations/{organizationId}/wireless/ssids/profiles/assignments
- the endpoint scheme security 'oauth2' was added to the API
Returns the SSID profiles' overview information for an organization
Operation ID: getOrganizationWirelessSsidsProfilesOverviews
GET /organizations/{organizationId}/wireless/ssids/profiles/overviews
- removed the 'afp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'airplay' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'apple_screen_share' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'bittorrent' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ftp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'google_chromecast' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ichat' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'itunes' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'printers' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'samba' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'scanner' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'spotify' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ssh' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
Update this SSID profile
Operation ID: updateOrganizationWirelessSsidsProfile
PUT /organizations/{organizationId}/wireless/ssids/profiles/{id}
- removed the enum value 'afp' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'airplay' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'apple_screen_share' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'bittorrent' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ftp' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'google_chromecast' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ichat' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'itunes' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'printers' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'samba' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'scanner' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'spotify' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the enum value 'ssh' of the request property 'ssid/addressing/mdns/rules/items/services/items/'
- removed the 'afp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'airplay' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'apple_screen_share' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'bittorrent' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ftp' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'google_chromecast' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ichat' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'itunes' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'printers' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'samba' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'scanner' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'spotify' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
- removed the 'ssh' enum value from the 'ssid/addressing/mdns/rules/items/services/items/' response property for the response status '200'
Return list of Zigbee configs
Operation ID: getOrganizationWirelessZigbeeByNetwork
GET /organizations/{organizationId}/wireless/zigbee/byNetwork
- the endpoint scheme security 'oauth2' was added to the API
List the Zigbee wireless devices for an organization or the supplied network(s)
Operation ID: getOrganizationWirelessZigbeeDevices
GET /organizations/{organizationId}/wireless/zigbee/devices
- the endpoint scheme security 'oauth2' was added to the API
Return the list of door locks for a network
Operation ID: getOrganizationWirelessZigbeeDoorLocks
GET /organizations/{organizationId}/wireless/zigbee/doorLocks
- the endpoint scheme security 'oauth2' was added to the API
- the component security scheme 'oauth2' was added
[ switch ]
accessPolicies
List the access policies for a switch network
Operation ID: getNetworkSwitchAccessPolicies
GET /networks/{networkId}/switch/accessPolicies
- the response property '/items/radius/preAuthenticationGroupPolicyId' became nullable for the status '200'
Create an access policy for a switch network
Operation ID: createNetworkSwitchAccessPolicy
POST /networks/{networkId}/switch/accessPolicies
- the response property 'radius/preAuthenticationGroupPolicyId' became nullable for the status '201'
Return a specific access policy for a switch network
Operation ID: getNetworkSwitchAccessPolicy
GET /networks/{networkId}/switch/accessPolicies/{accessPolicyNumber}
- the response property 'radius/preAuthenticationGroupPolicyId' became nullable for the status '200'
Update an access policy for a switch network
Operation ID: updateNetworkSwitchAccessPolicy
PUT /networks/{networkId}/switch/accessPolicies/{accessPolicyNumber}
- the response property 'radius/preAuthenticationGroupPolicyId' became nullable for the status '200'
[ wireless ]
electronicShelfLabel
Return the ESL settings of a wireless network
Operation ID: getNetworkWirelessElectronicShelfLabel
GET /networks/{networkId}/wireless/electronicShelfLabel
- the endpoint scheme security 'oauth2' was added to the API